Add Email

Adds an Email to a User's account, either as a primary or additional Email.

POST
/identity/v2/auth/email

Adds an Email to a User's account, either as a primary or additional Email.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

emailtemplate?string

Name of the Email template to use for this notification.

verificationurl?string

Verification URL for the User which will be included in the Email template..

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

Header Parameters

X-PreventWebhook?boolean

When true, suppresses webhook events for this operation.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/identity/v2/auth/email?emailtemplate=Email-Template&verificationurl=https%3A%2F%2Fexample.com%2Fverify%3Ftoken%3D123456&prevent_webhook=true" \  -H "X-PreventWebhook: true" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
{
  "IsPosted": true
}

{
  "ErrorCode": 1038,
  "Message": "Valid email ID is required",
  "Description": "The provided email ID is invalid or not well-formatted, a valid email ID is required in order to process this request."
}

{
  "ErrorCode": 902,
  "Message": "The API secret is unauthorized",
  "Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}